import { r as registerInstance } from './index-fd4790f6.js';
import { t as translateInterval } from './price-8403c07a.js';
import './default-i18n-2e663329.js';
import './index-53ddb833.js';
import './index-6db066f7.js';

const ScFormatInterval = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /** The number to format. */
    this.value = 0;
    this.interval = '';
    this.every = '/';
    this.fallback = '';
  }
  render() {
    return translateInterval(this.value, this.interval, ` ${this.every}`, this.fallback);
  }
};

export { ScFormatInterval as sc_format_interval };
